# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/pkg/bin/cmake

# The command to remove a file.
RM = /usr/pkg/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /tmp/pkgbuild/devel/polly/work.aarch64eb/polly-16.0.6.src

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /tmp/pkgbuild/devel/polly/work.aarch64eb/polly-16.0.6.src/cmake-pkgsrc-build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake cache editor..."
	/usr/pkg/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/pkg/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Polly\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/pkg/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/pkg/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /tmp/pkgbuild/devel/polly/work.aarch64eb/polly-16.0.6.src/cmake-pkgsrc-build/CMakeFiles /tmp/pkgbuild/devel/polly/work.aarch64eb/polly-16.0.6.src/cmake-pkgsrc-build//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /tmp/pkgbuild/devel/polly/work.aarch64eb/polly-16.0.6.src/cmake-pkgsrc-build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named intrinsics_gen

# Build rule for target.
intrinsics_gen: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 intrinsics_gen
.PHONY : intrinsics_gen

# fast build rule for target.
intrinsics_gen/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/intrinsics_gen.dir/build.make CMakeFiles/intrinsics_gen.dir/build
.PHONY : intrinsics_gen/fast

#=============================================================================
# Target rules for targets named omp_gen

# Build rule for target.
omp_gen: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 omp_gen
.PHONY : omp_gen

# fast build rule for target.
omp_gen/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/omp_gen.dir/build.make CMakeFiles/omp_gen.dir/build
.PHONY : omp_gen/fast

#=============================================================================
# Target rules for targets named acc_gen

# Build rule for target.
acc_gen: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 acc_gen
.PHONY : acc_gen

# fast build rule for target.
acc_gen/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/acc_gen.dir/build.make CMakeFiles/acc_gen.dir/build
.PHONY : acc_gen/fast

#=============================================================================
# Target rules for targets named RISCVTargetParserTableGen

# Build rule for target.
RISCVTargetParserTableGen: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 RISCVTargetParserTableGen
.PHONY : RISCVTargetParserTableGen

# fast build rule for target.
RISCVTargetParserTableGen/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/RISCVTargetParserTableGen.dir/build.make CMakeFiles/RISCVTargetParserTableGen.dir/build
.PHONY : RISCVTargetParserTableGen/fast

#=============================================================================
# Target rules for targets named polly-check-format

# Build rule for target.
polly-check-format: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 polly-check-format
.PHONY : polly-check-format

# fast build rule for target.
polly-check-format/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/polly-check-format.dir/build.make CMakeFiles/polly-check-format.dir/build
.PHONY : polly-check-format/fast

#=============================================================================
# Target rules for targets named polly-update-format

# Build rule for target.
polly-update-format: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 polly-update-format
.PHONY : polly-update-format

# fast build rule for target.
polly-update-format/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/polly-update-format.dir/build.make CMakeFiles/polly-update-format.dir/build
.PHONY : polly-update-format/fast

#=============================================================================
# Target rules for targets named obj.Polly

# Build rule for target.
obj.Polly: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 obj.Polly
.PHONY : obj.Polly

# fast build rule for target.
obj.Polly/fast:
	$(MAKE) $(MAKESILENT) -f lib/CMakeFiles/obj.Polly.dir/build.make lib/CMakeFiles/obj.Polly.dir/build
.PHONY : obj.Polly/fast

#=============================================================================
# Target rules for targets named Polly

# Build rule for target.
Polly: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 Polly
.PHONY : Polly

# fast build rule for target.
Polly/fast:
	$(MAKE) $(MAKESILENT) -f lib/CMakeFiles/Polly.dir/build.make lib/CMakeFiles/Polly.dir/build
.PHONY : Polly/fast

#=============================================================================
# Target rules for targets named install-Polly

# Build rule for target.
install-Polly: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 install-Polly
.PHONY : install-Polly

# fast build rule for target.
install-Polly/fast:
	$(MAKE) $(MAKESILENT) -f lib/CMakeFiles/install-Polly.dir/build.make lib/CMakeFiles/install-Polly.dir/build
.PHONY : install-Polly/fast

#=============================================================================
# Target rules for targets named install-Polly-stripped

# Build rule for target.
install-Polly-stripped: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 install-Polly-stripped
.PHONY : install-Polly-stripped

# fast build rule for target.
install-Polly-stripped/fast:
	$(MAKE) $(MAKESILENT) -f lib/CMakeFiles/install-Polly-stripped.dir/build.make lib/CMakeFiles/install-Polly-stripped.dir/build
.PHONY : install-Polly-stripped/fast

#=============================================================================
# Target rules for targets named LLVMPolly

# Build rule for target.
LLVMPolly: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 LLVMPolly
.PHONY : LLVMPolly

# fast build rule for target.
LLVMPolly/fast:
	$(MAKE) $(MAKESILENT) -f lib/CMakeFiles/LLVMPolly.dir/build.make lib/CMakeFiles/LLVMPolly.dir/build
.PHONY : LLVMPolly/fast

#=============================================================================
# Target rules for targets named PollyISL

# Build rule for target.
PollyISL: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 PollyISL
.PHONY : PollyISL

# fast build rule for target.
PollyISL/fast:
	$(MAKE) $(MAKESILENT) -f lib/External/CMakeFiles/PollyISL.dir/build.make lib/External/CMakeFiles/PollyISL.dir/build
.PHONY : PollyISL/fast

#=============================================================================
# Target rules for targets named polly-isl-test

# Build rule for target.
polly-isl-test: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 polly-isl-test
.PHONY : polly-isl-test

# fast build rule for target.
polly-isl-test/fast:
	$(MAKE) $(MAKESILENT) -f lib/External/CMakeFiles/polly-isl-test.dir/build.make lib/External/CMakeFiles/polly-isl-test.dir/build
.PHONY : polly-isl-test/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... RISCVTargetParserTableGen"
	@echo "... acc_gen"
	@echo "... install-Polly"
	@echo "... install-Polly-stripped"
	@echo "... intrinsics_gen"
	@echo "... omp_gen"
	@echo "... polly-check-format"
	@echo "... polly-update-format"
	@echo "... LLVMPolly"
	@echo "... Polly"
	@echo "... PollyISL"
	@echo "... obj.Polly"
	@echo "... polly-isl-test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

